.select2-container--disabled span.selection span.select2-selection {
    background: #f0efef !important;
    cursor: not-allowed;
}

.homecatsection li.product-category.product {
    width: 100% !important;
}
.select2-no-results {
    display: none !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered li button {
    color: white;
    display: flex;
    align-items: center;
    margin: auto;
    justify-content: center;
    height: 100%;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered li {
    background: #85ac9e !important;
    color: white !important;
    margin: 2px;
    float: right !important;
    padding: 0 !important;
    padding-left: 20px !important;
}
select {
    text-align: right;
}
.select2-selection__rendered {
    text-align: right;
}
.select2-results__options {
    text-align: right;
}
li.product-category.product {
    width: 23% !important;
    float: right !important;
    margin: 1% !important;
}
div#toppts li.product-category.product {
    width: unset !important;
    float: unset !important;
    margin: unset !important;
}
span.select2-search.select2-search--inline {
    width: 100%;
    padding-right: 5px;
}
.Ajax_filter_form,
.parent_section,
.bearing_section,
.filter_table,
.child_section,
.engine_section,
.bearing_section,
.gear_section,
.regulators_section,
.Ajax_filter_form .bearing_section input{
    float: left;
    width: 100%;
}

ul.products ul#select2-product_brand_id-results li {
    text-align: right !important;
    font-size: 13px;
    padding: 6px !important;
    color: #000;
    font-family: 'Open Sans';
    margin: 0 !important;
    border: none !important;
}
ul.products ul#select2-product_brand_id-results li.select2-results__option--highlighted {
    color: white;
}
ul.products ul#select2-product_brand_id-results li:hover {
    color:white;
}
ul.products ul#select2-product_brand_id-results {
    margin : 0 !important;
}


body.tax-product_cat.b2bking_b2c_user ul.products li.select2-selection__choice {
    padding: 0 !important;
    padding-right: 2px !important;
    padding-left: 20px !important;
    padding-bottom: 0px !important;
}
.filter_table {
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-color: #E2E2E2;
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    padding: 30px 20px;
    margin-left: 0px !important;
    margin-right: 0px !important;
    border-radius: 17.7625px 17.7625px 17.7625px 17.7625px;
    margin-top: 30px;
    background: #fff !important;
    position: relative;
    margin-bottom: 50px;
}

.Ajax_filter_form {
    background-color: #85ac9e;
    transition: background-color .5s;
    padding: 20px 0;
    position: relative;
}

.Ajax_filter_form input#search_text {
    width: 100%;
    min-height: 30px;
    border-radius: 0px;
    height: 32px;
    border: none;
    font-size: 12px;
    font-family: 'dashicons';
    padding: 0px 14px 3px 14px;
    line-height: 30px !important;
    outline: none;
}
.Ajax_filter_form .select22-container .select22-search--inline .select22-search__field {
    margin: 0 !important;
    padding: 0 5px;
    margin-top: 0px !important;
    height: 32px !important;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    float: left;
    width: 100% !important;
}
.Ajax_filter_form .select22-container--default .select22-selection--single {
    background-color: #fff !important;
    border: none !important;
    border-radius: 0px !important;
    padding: 0px 14px 3px 14px;
    font-size: 12px;
    height: 32px;
}
.Ajax_filter_form .bearing_section input {
    margin: 0;
    margin-top: 20px;
    margin-bottom: 20px;
    min-height: 30px;
    border-radius: 0px;
    height: 32px;
    border: none;
    font-size: 12px;
    font-family: 'dashicons';
    padding: 0px 14px 3px 14px;
    line-height: 30px !important;
    outline: none;
}
.bearing_section {
    display: none;
}

.engine_section h4 ,.gear_section h4,.regulators_section h4 {
    padding-top: 10px;
    float: left;
    width: 100%;
    margin: 0;
    font-weight: bold;
    font-size: 14px;
    margin-bottom: unset;
    color: white;
}
.product-responsive {
    float: left;
    width: 100%;
    overflow-x: scroll;
}
.engine_section .mbscroll ,.gear_section .mbscroll ,.regulators_section .mbscroll {
    overflow: scroll;
    max-height: 120px;
    overflow-y: scroll;
    overflow-x: unset;
    float: left;
    width: 100%;
    margin-bottom: 20px;
}
.engine_section .mbscroll label input,.gear_section .mbscroll label input ,.regulators_section .mbscroll label input {
    margin-left: 5px;
}
.engine_section .mbscroll label ,.gear_section .mbscroll label,.regulators_section .mbscroll label {
    width: 100%;
    display: flex;
    font-family: 'Open Sans';
    opacity: 1;
    font-size: 13px;
    align-items: center;
    color: white;
    flex-direction: row;
    margin-bottom: 5px;
}
.regulators_section input[type="number"], .regulators_section input[type="text"], .gear_section input[type="number"], .gear_section input[type="text"] {
    margin: 0;
    margin-top: 30px;
    margin-bottom: 20px;
    min-height: 30px;
    border-radius: 0px;
    height: 32px;
    border: none;
    font-size: 12px;
    font-family: 'dashicons';
    padding: 0px 14px 3px 14px;
    line-height: 30px !important;
    outline: none;
    width: 100%;
}
.parent_section select, 
.parent_section input{
	float: left;
    width: 100% !important;
} 

.child_cats_1 select, .child_cats_2 select, .child_cats_3 select, .child_cats_4 select {
    float: left;
    width: 100% !important;
	padding: 10px 0;
}
.child_cats_1, .child_cats_2, .child_cats_3, .child_cats_4 {
    float: left;
    width: 100%;
   
}
.get_filter_section {
    display: none;
}
.parent_section {
    margin-bottom: 10px;
}
ul.products .filter_table {
    padding: 0;
    border: none;
    /* margin-bottom: 0px; */
}
.till_ajax.active {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    /* background: url(/wp-content/uploads/2022/03/loading.gif),#85ac9e3b; */
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100px;
    font-size: 40px;
}

span.select2-results {
    float: left;
    width: 100%;
    background: white;
}
.select2-container {
    width: 100% !important;
    float: left;
    font-size: 12px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #85ac9e !important;
    color: white;
    font-size: 13px;
}
.select2-results__option {
    font-size: 13px;
	    padding: 6px;
    color: #000;
    font-family: 'Open Sans';
}
.select2-container--default .select2-results>.select2-results__options {
    border-top: none !important;
	border: 1px solid #ccc;
}
ul.products span#select2-product_cat_id-container {
    line-height: 31px;
    text-align: right;
}
ul.products ul#select2-product_cat_id-results li {
    text-align: right !important;
    font-size: 13px;
    padding: 6px !important;
    color: #000;
    font-family: 'Open Sans';
    margin: 0 !important;
    border: none !important;
}
ul.products ul#select2-product_cat_id-results li.select2-results__option--highlighted {
    color: white;
}
ul.products ul#select2-product_cat_id-results li:hover {
    color:white;
}
span.select2-selection.select2-selection--single {
    border: none !important;
    background: #fff !important;
    /* margin-bottom: 10px; */
    height: 32px !important;
    padding: 0 !important;
    border-radius: 0 !important;
}
span.select2-selection.select2-selection--multiple {
    border: none !important;
    background: #fff !important;
    /* margin-bottom: 10px; */
    /* height: 32px; */
}
.select2-container--default[dir="rtl"] .select2-selection--multiple .select2-selection__choice {
    margin-left: 5px;
    margin-right: auto;
    background: #85ac9e;
    color: #fff;
    font-size: 12px;
    padding-right: 2px;
}
input.select2-search__field {
    height: 0px !important;
    padding: 0 !important;
    margin: 0 !important;
    border: none !important;
    z-index: -1;
}
span.selection {
    background: white !important;
    width: 100%;
    float: left;
   /*  border: 1px solid rgb(0 0 0 / 10%) !important; */
}
.select2-container .select2-selection--multiple .select2-selection__rendered {
    display: block !important;
}
.select2-container--default[dir="rtl"] .select2-selection--multiple .select2-selection__choice__remove span {
    color: #fff;
    position: absolute;
    left: 0px;
    top: 3px;
    font-size: 13px;
}
.select2-container--default[dir="rtl"] .select2-selection--single .select2-selection__arrow {
    left: 10px !important;
    right: auto;
}
.select2-search--dropdown {
    display: block;
    padding: 4px;
    height: 0;
    z-index: -1;
    display: none;
}
@media (min-width: 350px) and (max-width: 767px) and (orientation : landscape) {
	.select2-container--default .select2-results>.select2-results__options {
		/* max-height: 100px !important; */
		overflow-y: auto;
	}
}
@media (max-width: 767px){
	.parent_section {
		margin-bottom: 0px;
	}
	li.product-category.product {
		width: 48% !important;
		float: right !important;
		margin: 1% !important;
	}
	.filter-fixed-popup {
		position: fixed;
		overflow: hidden;
		left: 0;
		right: 0;
	}
	button#get_filter {
		font-family: "Roboto", Sans-serif;
		font-size: 20px;
		font-weight: 500;
		fill: #85ac9e;
		color: #fff;
		background-color: #85ac9e;
		border-style: solid;
		border-width: 1px 1px 1px 1px;
		border-color: #85ac9e;
		border-radius: 0px;
		min-height: 40px;
		line-height: 37px;
		text-align: center;
		padding: 0px;
		width: 100%;
		margin-bottom: 10px;
	}
	.mbflex button, .mbflex span {
		width: 32%;
	}
	.mbflex {
		display: flex;
		justify-content: space-between;
	}
	.mbflex #mbfilterbtn_close {
		padding: 0px !important;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	.get_filter_section {
		display: block;
	}
	.search-btn {
		display: none;
	}
	
	.Ajax_filter_form {
		display: none;
		margin: 0;
		padding: 0;
		position: fixed;
		top: 0;
		bottom: 0;
		height: 103%;
		left: 0;
		right: 0;
		background: white;
		z-index: 1111111;
		overflow-y: scroll;
	}
	.Ajax_filter_form .select22-container {
		top: 0px !important;
		width: 100% !important;
	}
	.Ajax_filter_form .select2-container--default .select2-selection--single{
		border: 1px solid rgb(0 0 0 / 10%) !important;
		background: #fff !important;
		position: relative;
		bottom: 2px;
	}
	.Ajax_filter_form span.select2-selection.select2-selection--multiple {
		border: 1px solid rgb(0 0 0 / 10%) !important;
		background: #fff !important;
	}
	.Ajax_filter_form input[type="number"],.Ajax_filter_form input[type="text"]{
		border: 1px solid rgb(0 0 0 / 10%) !important;
		background: #fff !important;
	}
	.parent_section input,
	/* .parent_section select, */
	.parent_section .select2-container{
		margin-bottom: 15px !important;
	}
	.Ajax_filter_form .parent_section,.Ajax_filter_form .child_section {
		display: flex !important;
		flex-direction: column-reverse !important;
		flex-direction: unset;
	}
	
	.engine_section h4 ,.gear_section h4 ,.regulators_section h4 {
		color: black;
		border-bottom: 1px dashed;
	}
	.engine_section .mbscroll,.gear_section .mbscroll,.regulators_section .mbscroll {
		overflow: visible;
		height: unset;
	}
	.engine_section .mbscroll label,.gear_section .mbscroll label ,.regulators_section .mbscroll label {
		color: black;
		width: 50%;
		float: right;
	}
	.regulators_section input[type="number"], .regulators_section input[type="text"], .gear_section input[type="number"], .gear_section input[type="text"]{
		margin-top: 0px;
		margin-bottom: 10px;
	}
	.bearing_section input {
		margin: 0px !important;
		margin-bottom: 15px !important;
	}
	.child_section .select22-container {
		margin: 0px !important;
		margin-bottom: 15px !important;
	}
	.select2-search--dropdown {
		height: unset;    padding: 0px !important;
	}
}